View Issue Details

IDProjectCategoryView StatusLast Update
0000540Pgpool-IIIncompatible changepublic2020-02-03 10:57
Reporterdevang.makwanaAssigned Topengbo 
PrioritynormalSeveritytrivialReproducibilityhave not tried
Status closedResolutionopen 
Product Version4.0.6 
Target VersionFixed in Version 
Summary0000540: pcp_recovey_node authentication failed for user "pgpool"
DescriptionHi, I am new learner of postgresql and pgpool-II.
i have configured pgpool+watchdog setup to setup master-slave cluster configuration.

I am getting error while Set up PostgreSQL standby server using pcp_recovery_node command.

pcp_recovery_node command shows error as below

[postgres@racdb1 data]$ pcp_recovery_node -h 10.151.1.125 -p 9898 -U pgpool -n 1
Password:
FATAL: authentication failed for user "pgpool"
DETAIL: username and/or password does not match




Steps To Reproducepcp_recovery_node -h 10.151.1.125 -p 9898 -U pgpool -n 1

10.151.1.125 is vip
TagsNo tags attached.

Activities

pengbo

2019-09-02 08:54

developer   ~0002806

> FATAL: authentication failed for user "pgpool"
> DETAIL: username and/or password does not match

Did you setup pcp.conf?

Here is an example to configure pcp commad.

[7.3.5.8. PCP Command Configuration]
http://www.pgpool.net/docs/latest/en/html/example-cluster.html

devang.makwana

2019-09-02 15:56

reporter   ~0002810

Hi Thanks for the reply.

I have followed same document for master-slave cluster configuration.

Did you setup pcp.conf?
Yap, you are right it was issue of pcp.conf file where password of pgpool was diffrent. now its solved.

I am getting one more issue as below. please help me.

I can check node status by pvp_watchdog_info command and its showing me MASTER/STANDBY status as below.
[postgres@racdb2 ~]$ pcp_watchdog_info -p 9898 -h 10.151.1.125 -U pgpool
Password:
2 YES racdb1:9999 Linux racdb1 racdb1

racdb1:9999 Linux racdb1 racdb1 9999 9000 4 MASTER
racdb2:9999 Linux racdb2 racdb2 9999 9000 7 STANDBY

But while connecting psql its showing some connection problem as below. 10.151.1.125 is VIP.

[postgres@racdb1 ~]$ psql -h 10.151.1.125 -p 9999 -U pgpool postgres -c "show pool_nodes"
psql: server closed the connection unexpectedly
    This probably means the server terminated abnormally
    before or while processing the request.
[postgres@racdb1 ~]$


I can also connect simply like but with port 9999 its showing error. am i missing something?
[postgres@racdb1 ~]$ psql -U pgpool postgres
psql (11.5)
Type "help" for help.

postgres=> \q


[postgres@racdb1 ~]$ psql -U pgpool postgres -p 9999
psql: could not connect to server: No such file or directory
    Is the server running locally and accepting
    connections on Unix domain socket "/var/run/postgresql/.s.PGSQL.9999"?
[postgres@racdb1 ~]$


Please help.

devang.makwana

2019-09-03 19:40

reporter   ~0002813

Getting below error while setting postgresql standby server using pgpool-II.

[postgres@racdb1 data]$ pcp_recovery_node -h 10.151.1.125 -p 9898 -U pgpool -n 1
Password:
ERROR: process recovery request failed
DETAIL: primary server cannot be recovered by online recovery.

Please help.

pengbo

2019-09-06 16:28

developer   ~0002825

Sorry for late response.

> [postgres@racdb1 ~]$ psql -h 10.151.1.125 -p 9999 -U pgpool postgres -c "show pool_nodes"
> psql: server closed the connection unexpectedly
> This probably means the server terminated abnormally
> before or while processing the request.
> [postgres@racdb1 ~]$

Have you resolved this issue?
Could you show pgpool.log?

> [postgres@racdb1 data]$ pcp_recovery_node -h 10.151.1.125 -p 9898 -U pgpool -n 1
> Password:
> ERROR: process recovery request failed
> DETAIL: primary server cannot be recovered by online recovery.

Could you connect to pgpool and execute "show pool_nodes"?

pengbo

2019-11-05 09:11

developer   ~0002957

No response more than one month.
I am going to close this issue.

Issue History

Date Modified Username Field Change
2019-08-30 17:45 devang.makwana New Issue
2019-09-02 08:54 pengbo Note Added: 0002806
2019-09-02 08:57 pengbo Assigned To => pengbo
2019-09-02 08:57 pengbo Status new => assigned
2019-09-02 15:56 devang.makwana Note Added: 0002810
2019-09-03 19:40 devang.makwana Note Added: 0002813
2019-09-06 16:28 pengbo Note Added: 0002825
2019-09-06 16:29 pengbo Status assigned => feedback
2019-11-05 09:11 pengbo Note Added: 0002957
2020-02-03 10:57 pengbo Status feedback => closed